﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace RegexTester
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void toolStripButtonRun_Click(object sender, EventArgs e)
        {
            try
            {
                Regex regex = new Regex(toolStripRegexTextBox.Text, RegexOptions.IgnoreCase);
                MatchCollection matches = regex.Matches(textBoxText.Text);

                richTextBoxResult.Clear();
                string output = @"{\rtf1\ansi ";
                output += "Hittade " + matches.Count + " förekomst(er)\\line ";

                int i = 1;
                foreach (Match match in matches)
                {
                    output += "Matchning " + i + ": " + match.Value + @"\line ";
                    i++;
                }

                output += @"\line " + regex.Replace(textBoxText.Text, CapText) + "}";
                richTextBoxResult.Rtf = output;   
            }
            catch (Exception ex)
            {
                richTextBoxResult.Text = ex.Message;
            }
        }


        private string CapText(Match m)
        {
            //Spara den fångade texten
            string x = m.Value;
            //returnera ny text så att den blir fetmarkerad i RichText
            return @"\b " + x + @"\b0 ";
        }

    }
}
